Name: libcxgb4
Version: 1.3.6
Release: 1%{?dist}
Summary: Chelsio T4 iWARP HCA Userspace Driver
Group:   System Environment/Libraries
License: GPLv2 or BSD
Url: https://www.openfabrics.org/
Source: https://www.openfabrics.org/downloads/cxgb4/%{name}-%{version}.tar.gz
BuildRequires: libibverbs-devel >= 1.2.0
Obsoletes: %{name}-devel
ExcludeArch: s390 s390x
Provides: libibverbs-driver.%{_arch}
Requires: rdma > 2.0-18

%description
Userspace hardware driver for use with the libibverbs InfiniBand/iWARP verbs
library.  This driver enables Chelsio T4 based iWARP capable Ethernet devices.

%package static
Summary: Static version of the libcxgb4 driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description static
Static version of libcxgb4 that may be linked directly to an application.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
# remove unpackaged files from the buildroot
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{_libdir}/*.so*
%{_sysconfdir}/libibverbs.d/*.driver
%doc AUTHORS COPYING README

%files static
%{_libdir}/*.a

%changelog
* Thu Mar 17 2016 Doug Ledford <dledford@redhat.com> - 1.3.6-1
- Update to latest upstream release
- Require rdma package
- Move modprobe config file to rdma package

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> 1.3.3-1
- Update to 1.3.3
- Cleanup and modernise spec

* Fri Aug 09 2013 Doug Ledford <dledford@redhat.com> - 1.3.1-1
- Update to latest upstream release
- Attempt to resolve arm build issue (bz925693)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 03 2012 Doug Ledford <dledford@redhat.com> - 1.2.0-1
- Update to latest upstream release
- Initial submission to Fedora

* Mon Jul 25 2011 Doug Ledford <dledford@redhat.com> - 1.1.1-3
- Add missing arch macro to libibverbs-driver provide
- Related: bz725016

* Wed Apr 27 2011 Doug Ledford <dledford@redhat.com> - 1.1.1-2
- Fix package description to differentiate the fact that this is for the T4
  Chelsio based adapters instead of the previous T3 generation

* Fri Mar 25 2011 Doug Ledford <dledford@redhat.com> - 1.1.1-1
- Update to later upstream version
- Resolves: bz685058

* Thu Feb 03 2011 Doug Ledford <dledford@redhat.com> - 1.1.0-1
- Initial import of libcxgb4 driver
- Resolves: bz675024
